TEMPLATE = lib
TARGET = x11tasks

QT += widgets

VERSION = 2.8.0

# Library section
unix:!macx: LIBS += -lcprime -lcorex11

#DEPENDPATH  += .

#INCLUDEPATH += ../libcorex11/
#LIBS += -L../libcorex11/ -lcorex11

INCLUDEPATH += ../ ../../libcorex11

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11 plugin

HEADERS += x11tasks.h
HEADERS += ../tasksplugin.h
SOURCES += x11tasks.cpp

# Build location
BUILD_PREFIX = $$(CA_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-plugins/
OBJECTS_DIR   = $$BUILD_PREFIX/obj-plugins/
RCC_DIR       = $$BUILD_PREFIX/qrc-plugins/
UI_DIR        = $$BUILD_PREFIX/uic-plugins/

unix {
	isEmpty(PREFIX) {
			PREFIX = /usr
	}

	INSTALLS += target

	DEFINES += VERSION_TEXT=\"\\\"$${VERSION}\\\"\"
	target.path = $$PREFIX/lib/coreapps/corestuff/plugins
}
